Subject: Re: [RFC/PATCH] ipg: add jumbo frame support kconfig option

From: Andrew Savchenko <[email-masked]>
Date: Sat, 21 Jun 2008 04:04:01 +0400

Hi Pekka,

On Friday 20 June 2008 15:12, Pekka Enberg wrote:
> Hi Andrew,
>
> (Please don't trim the cc.)

Oh, my apologies. I'm not subscribed to the list, so I mailed only 
to emails found on lkml web page with original top mail.

> On Fri, Jun 20, 2008 at 9:37 AM, Andrew Savchenko 
> <[email-masked]> wrote: 
[...]
> As I don't have the hardware, I would appreciate if you could
> test the following quilt tree:
>
>  
> http://www.kernel.org/pub/linux/kernel/people/penberg/patches/ip
>g/2.6.26-rc6/
>
> [Note: in case you're not familiar with quilt, the patches need
> to be applied in the order specified by the quilt 'series' file
> included there.]

Thanks for the advice. I installed quilt on my system and applied 
your patchset to 2.6.26-rc6 kernel tree.

> You can enable 10KB jumbo frames either by passing:
>
>   ipg.jumbo=10k
>
> to the kernel command line or, alternatively, load the ipg
> module as follows:
>
>   modprobe ipg jumbo=10k
>
> You cannot enable or disable jumbo frame support once the module
> is loaded so if you want to try out different frame sizes, you
> first need to unload the module.

Ok, but in practice I need to reboot the system: 1) usually I 
compile into the kernel all code related to frequently used 
hardware. 2) This is a remote system, so reload of network module 
which is in use will be quite tricky.

I tested it with both jumbo frames disabled (no options), and 
enabled for 10k frames: ipg.jumbo=10k. It seems to work fine with 
all acceptable MTUs (max MTU == 10240).

Sincerely yours,
Andrew